<?xml version="1.0" encoding="utf-8"?>
<odoo>

    <record id="inherit_view_employee_form" model="ir.ui.view">
        <field name="name">hr.employee.form.inherit</field>
        <field name="model">hr.employee</field>
        <field name="inherit_id" ref="hr.view_employee_form"/>
        <field name="arch" type="xml">
            <xpath expr="//field[@name='resource_calendar_id']" position="after">
                <field name="budgeted_hour_week"/>
            </xpath>
            <xpath expr="//field[@name='user_id']" position="replace">
                <field name="user_id" string="Related User" domain="[('share', '=', False)]" required="1"/>
            </xpath>
            <xpath expr="//page[@name='hr_settings']" position="inside">
                <group string="Employee Cost History">
                </group>
                <field name="employee_cost_change" readonly="1" string="Employee Cost History">
                    <tree editable="bottom">
                        <field name="employee_id" invisible="1"/>
                        <field name="user_id" string="Changed By"/>
                        <field name="date" string="Changed Date"/>
                        <field name="timesheet_cost" string="Changed Cost"/>
                    </tree>
                </field>
            </xpath>
        </field>
    </record>

    <!--<record id="inherit_view_employee_form" model="ir.ui.view">
        <field name="name">hr.employee.form.inherit</field>
        <field name="model">hr.employee</field>
        <field name="inherit_id" ref="hr.view_employee_form"/>
        <field name="arch" type="xml">
            <xpath expr="//page[@name='hr_settings']" position="inside">
                <group>
                    <label for="budgeted_hour_week"/>
                    <div>
                        <field name="budgeted_hour_week" class="oe_inline"/>
                        per week
                    </div>
                </group>
            </xpath>
        </field>
    </record>-->

</odoo>
